Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlOrderingList

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  org.ajax4jsf.component.UIDataAdaptor
                      org.richfaces.component.UIOrderingBaseComponent
                          org.richfaces.component.UIOrderingList
                              org.richfaces.component.html.HtmlOrderingList

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.NamingContainer, javax.faces.component.StateHolder, javax.faces.component.ValueHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxDataEncoder

    public class HtmlOrderingList

extends UIOrderingList

Component-Type org.richfaces.OrderingList Component-Family org.richfaces.OrderingList Renderer-Type org.richfaces.OrderingListRenderer

Nested Class Summary

Nested classes/interfaces inherited from class org.richfaces.component.UIOrderingList
`UIOrderingList.SubmittedValue, UIOrderingList.ValueHolder`

Nested classes/interfaces inherited from class org.richfaces.component.UIOrderingBaseComponent
`UIOrderingBaseComponent.DataAdder, UIOrderingBaseComponent.ItemState, UIOrderingBaseComponent.UpdateModelCommand`

Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor
`org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.UIOrderingList
`updateActiveItemCommand, updateSelectionCommand, updateValueCommand`

Fields inherited from class org.richfaces.component.UIOrderingBaseComponent
`isColumn`

Fields inherited from class org.ajax4jsf.component.UIDataAdaptor
`COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`HtmlOrderingList()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getBottomControlLabel()` Defines a label for a 'Bottom' control Getter for bottomControlLabel
`java.lang.String` | `getCaptionLabel()` Defines caption representation text Getter for captionLabel
`java.lang.String` | `getColumnClasses()` CSS class for a column Getter for columnClasses
`java.lang.String` | `getControlsHorizontalAlign()` Controls horizontal rendering.
`java.lang.String` | `getControlsType()` Defines type of a control: button or none.
`java.lang.String` | `getControlsVerticalAlign()` Controls vertical rendering.
`javax.faces.convert.Converter` | `getConverter()` Id of Converter to be used or reference to a Converter Getter for converter
`java.lang.String` | `getDownControlLabel()` Defines a label for a 'Down' control Getter for downControlLabel
`java.lang.String` | `getFamily()`
`java.lang.String` | `getListHeight()` Defines height of a list Getter for listHeight
`java.lang.String` | `getListWidth()` Defines width of a list Getter for listWidth
`java.lang.String` | `getOnbottomclick()` A JavaScript event handler; a button "Bottom" is clicked Getter for onbottomclick
`java.lang.String` | `getOnclick()` HTML: a script expression; a pointer button is clicked Getter for onclick
`java.lang.String` | `getOndblclick()` HTML: a script expression; a pointer button is double-clicked Getter for ondblclick
`java.lang.String` | `getOndownclick()` A JavaScript event handler; a button "Down" is clicked Getter for ondownclick
`java.lang.String` | `getOnheaderclick()` A JavaScript event handler; a header is clicked Getter for onheaderclick
`java.lang.String` | `getOnmousemove()` HTML: a script expression; a pointer is moved within Getter for onmousemove
`java.lang.String` | `getOnmouseout()` HTML: a script expression; a pointer is moved away Getter for onmouseout
`java.lang.String` | `getOnmouseover()` HTML: a script expression; a pointer is moved onto Getter for onmouseover
`java.lang.String` | `getOnorderchanged()` A JavaScript event handler called on an order operation Getter for onorderchanged
`java.lang.String` | `getOntopclick()` A JavaScript event handler; a button "Top" is clicked Getter for ontopclick
`java.lang.String` | `getOnupclick()` HTML: a script expression; a button "Up" is clicked Getter for onupclick
`java.lang.String` | `getRowClasses()` CSS class for a row Getter for rowClasses
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`java.lang.String` | `getTopControlLabel()` Defines a label for a 'Top' control Getter for topControlLabel
`java.lang.String` | `getUpControlLabel()` Defines a label for a 'Up' control Getter for upControlLabel
`javax.faces.el.MethodBinding` | `getValueChangeListener()` Listener for value changes Getter for valueChangeListener
`boolean` | `isFastOrderControlsVisible()` If "false", 'Top' and 'Bottom' controls aren't displayed.
`boolean` | `isImmediate()` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Getter for immediate
`boolean` | `isOrderControlsVisible()` If "false", 'Up' and 'Down' controls aren't displayed.
`boolean` | `isRequired()` If "true", this component is checked for non-empty input Getter for required
`boolean` | `isShowButtonLabels()` If "true", shows a label for a button Getter for showButtonLabels
`boolean` | `isValid()` valid Getter for valid
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setBottomControlLabel(java.lang.String __bottomControlLabel)` Defines a label for a 'Bottom' control Setter for bottomControlLabel
`void` | `setCaptionLabel(java.lang.String __captionLabel)` Defines caption representation text Setter for captionLabel
`void` | `setColumnClasses(java.lang.String __columnClasses)` CSS class for a column Setter for columnClasses
`void` | `setControlsHorizontalAlign(java.lang.String __controlsHorizontalAlign)` Controls horizontal rendering.
`void` | `setControlsType(java.lang.String __controlsType)` Defines type of a control: button or none.
`void` | `setControlsVerticalAlign(java.lang.String __controlsVerticalAlign)` Controls vertical rendering.
`void` | `setConverter(javax.faces.convert.Converter __converter)` Id of Converter to be used or reference to a Converter Setter for converter
`void` | `setDownControlLabel(java.lang.String __downControlLabel)` Defines a label for a 'Down' control Setter for downControlLabel
`void` | `setFastOrderControlsVisible(boolean __fastOrderControlsVisible)` If "false", 'Top' and 'Bottom' controls aren't displayed.
`void` | `setImmediate(boolean __immediate)` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
`void` | `setListHeight(java.lang.String __listHeight)` Defines height of a list Setter for listHeight
`void` | `setListWidth(java.lang.String __listWidth)` Defines width of a list Setter for listWidth
`void` | `setOnbottomclick(java.lang.String __onbottomclick)` A JavaScript event handler; a button "Bottom" is clicked Setter for onbottomclick
`void` | `setOnclick(java.lang.String __onclick)` HTML: a script expression; a pointer button is clicked Setter for onclick
`void` | `setOndblclick(java.lang.String __ondblclick)` HTML: a script expression; a pointer button is double-clicked Setter for ondblclick
`void` | `setOndownclick(java.lang.String __ondownclick)` A JavaScript event handler; a button "Down" is clicked Setter for ondownclick
`void` | `setOnheaderclick(java.lang.String __onheaderclick)` A JavaScript event handler; a header is clicked Setter for onheaderclick
`void` | `setOnmousemove(java.lang.String __onmousemove)` HTML: a script expression; a pointer is moved within Setter for onmousemove
`void` | `setOnmouseout(java.lang.String __onmouseout)` HTML: a script expression; a pointer is moved away Setter for onmouseout
`void` | `setOnmouseover(java.lang.String __onmouseover)` HTML: a script expression; a pointer is moved onto Setter for onmouseover
`void` | `setOnorderchanged(java.lang.String __onorderchanged)` A JavaScript event handler called on an order operation Setter for onorderchanged
`void` | `setOntopclick(java.lang.String __ontopclick)` A JavaScript event handler; a button "Top" is clicked Setter for ontopclick
`void` | `setOnupclick(java.lang.String __onupclick)` HTML: a script expression; a button "Up" is clicked Setter for onupclick
`void` | `setOrderControlsVisible(boolean __orderControlsVisible)` If "false", 'Up' and 'Down' controls aren't displayed.
`void` | `setRequired(boolean __required)` If "true", this component is checked for non-empty input Setter for required
`void` | `setRowClasses(java.lang.String __rowClasses)` CSS class for a row Setter for rowClasses
`void` | `setShowButtonLabels(boolean __showButtonLabels)` If "true", shows a label for a button Setter for showButtonLabels
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setTopControlLabel(java.lang.String __topControlLabel)` Defines a label for a 'Top' control Setter for topControlLabel
`void` | `setUpControlLabel(java.lang.String __upControlLabel)` Defines a label for a 'Up' control Setter for upControlLabel
`void` | `setValid(boolean __valid)` valid Setter for valid
`void` | `setValueChangeListener(javax.faces.el.MethodBinding __valueChangeListener)` Listener for value changes Setter for valueChangeListener

Methods inherited from class org.richfaces.component.UIOrderingList
`addValueChangeListener, broadcast, createDataModel, getActiveItem, getItemState, getLocalValue, getSelection, getSubmittedValue, getValue, getValueChangeListeners, processDecodes, processDecodes, processUpdates, processValidators, removeValueChangeListener, resetDataModel, restoreIterationState, saveIterationState, setActiveItem, setSelection, setSubmittedString, setSubmittedValue, setValue, updateModel, validate`

Methods inherited from class org.richfaces.component.UIOrderingBaseComponent
`addConversionErrorMessage, addValidator, columns, compareValues, createComponentState, createContainer, createDataModel, dataChildren, decode, executeValidate, fixedChildren, getConverterForValue, getValidator, getValidators, isEmpty, isLocalValueSet, isSuitableValue, removeValidator, setLocalValueSet, setValidator, updateModel, validateValue`

Methods inherited from class org.ajax4jsf.component.UIDataAdaptor
`addRequestKey, broadcastLocal, captureOrigValue, captureOrigValue, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, encodeBegin, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyVar, getStateVar, isRowAvailable, iterate, processUpdates, processValidators, queueEvent, removeRequestKey, resetComponent, restoreChildState, restoreOrigValue, restoreOrigValue, saveChildState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowIndex, setRowKey, setRowKey, setRowKeyVar, setStateVar, setupVariable, walk`

Methods inherited from class javax.faces.component.UIData
`getFirst, getFooter, getHeader, getRows, getVar, setFirst, setFooter, setHeader, setRows, setValueBinding, setVar`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlOrderingList

    public HtmlOrderingList()

  Constructor to init default renderers

Method Detail

### setBottomControlLabel

    public void setBottomControlLabel(java.lang.String __bottomControlLabel)

  Defines a label for a 'Bottom' control Setter for bottomControlLabel

  Parameters:
    `bottomControlLabel` - - new value

### getBottomControlLabel

    public java.lang.String getBottomControlLabel()

  Defines a label for a 'Bottom' control Getter for bottomControlLabel

  Returns:
    bottomControlLabel value from local variable or value bindings

### setCaptionLabel

    public void setCaptionLabel(java.lang.String __captionLabel)

  Defines caption representation text Setter for captionLabel

  Parameters:
    `captionLabel` - - new value

### getCaptionLabel

    public java.lang.String getCaptionLabel()

  Defines caption representation text Getter for captionLabel

  Returns:
    captionLabel value from local variable or value bindings

### setColumnClasses

    public void setColumnClasses(java.lang.String __columnClasses)

  CSS class for a column Setter for columnClasses

  Parameters:
    `columnClasses` - - new value

### getColumnClasses

    public java.lang.String getColumnClasses()

  CSS class for a column Getter for columnClasses

  Returns:
    columnClasses value from local variable or value bindings

### setControlsHorizontalAlign

    public void setControlsHorizontalAlign(java.lang.String __controlsHorizontalAlign)

  Controls horizontal rendering. Possible values: left - controls should be rendered to the left side of a list. right(Default)- controls should be rendered to the right side of a list. Setter for controlsHorizontalAlign

  Parameters:
    `controlsHorizontalAlign` - - new value

### getControlsHorizontalAlign

    public java.lang.String getControlsHorizontalAlign()

  Controls horizontal rendering. Possible values: left - controls should be rendered to the left side of a list. right(Default)- controls should be rendered to the right side of a list. Getter for controlsHorizontalAlign

  Returns:
    controlsHorizontalAlign value from local variable or value bindings

### setControlsType

    public void setControlsType(java.lang.String __controlsType)

  Defines type of a control: button or none. Setter for controlsType

  Specified by:
    `setControlsType` in class `UIOrderingList`
  Parameters:
    `controlsType` - - new value

### getControlsType

    public java.lang.String getControlsType()

  Defines type of a control: button or none. Getter for controlsType

  Specified by:
    `getControlsType` in class `UIOrderingList`
  Returns:
    controlsType value from local variable or value bindings

### setControlsVerticalAlign

    public void setControlsVerticalAlign(java.lang.String __controlsVerticalAlign)

  Controls vertical rendering. Possible values: top - controls should be rendered aligned to top side of a list. bottom - controls should be rendered aligned to bottom side of a list. center(Default) - controls should be rendered centered relatively to a list. Setter for controlsVerticalAlign

  Parameters:
    `controlsVerticalAlign` - - new value

### getControlsVerticalAlign

    public java.lang.String getControlsVerticalAlign()

  Controls vertical rendering. Possible values: top - controls should be rendered aligned to top side of a list. bottom - controls should be rendered aligned to bottom side of a list. center(Default) - controls should be rendered centered relatively to a list. Getter for controlsVerticalAlign

  Returns:
    controlsVerticalAlign value from local variable or value bindings

### setConverter

    public void setConverter(javax.faces.convert.Converter __converter)

  Id of Converter to be used or reference to a Converter Setter for converter

  Specified by:
    `setConverter` in interface `javax.faces.component.ValueHolder`
  Specified by:
    `setConverter` in class `UIOrderingList`
  Parameters:
    `converter` - - new value

### getConverter

    public javax.faces.convert.Converter getConverter()

  Id of Converter to be used or reference to a Converter Getter for converter

  Specified by:
    `getConverter` in interface `javax.faces.component.ValueHolder`
  Specified by:
    `getConverter` in class `UIOrderingList`
  Returns:
    converter value from local variable or value bindings

### setDownControlLabel

    public void setDownControlLabel(java.lang.String __downControlLabel)

  Defines a label for a 'Down' control Setter for downControlLabel

  Parameters:
    `downControlLabel` - - new value

### getDownControlLabel

    public java.lang.String getDownControlLabel()

  Defines a label for a 'Down' control Getter for downControlLabel

  Returns:
    downControlLabel value from local variable or value bindings

### setFastOrderControlsVisible

    public void setFastOrderControlsVisible(boolean __fastOrderControlsVisible)

  If "false", 'Top' and 'Bottom' controls aren't displayed. Setter for fastOrderControlsVisible

  Specified by:
    `setFastOrderControlsVisible` in class `UIOrderingBaseComponent`
  Parameters:
    `fastOrderControlsVisible` - - new value

### isFastOrderControlsVisible

    public boolean isFastOrderControlsVisible()

  If "false", 'Top' and 'Bottom' controls aren't displayed. Getter for fastOrderControlsVisible

  Specified by:
    `isFastOrderControlsVisible` in class `UIOrderingBaseComponent`
  Returns:
    fastOrderControlsVisible value from local variable or value bindings

### setImmediate

    public void setImmediate(boolean __immediate)

  A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate

  Specified by:
    `setImmediate` in interface `javax.faces.component.EditableValueHolder`
  Specified by:
    `setImmediate` in class `UIOrderingList`
  Parameters:
    `immediate` - - new value

### isImmediate

    public boolean isImmediate()

  A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Getter for immediate

  Specified by:
    `isImmediate` in interface `javax.faces.component.EditableValueHolder`
  Specified by:
    `isImmediate` in class `UIOrderingList`
  Returns:
    immediate value from local variable or value bindings

### setListHeight

    public void setListHeight(java.lang.String __listHeight)

  Defines height of a list Setter for listHeight

  Parameters:
    `listHeight` - - new value

### getListHeight

    public java.lang.String getListHeight()

  Defines height of a list Getter for listHeight

  Returns:
    listHeight value from local variable or value bindings

### setListWidth

    public void setListWidth(java.lang.String __listWidth)

  Defines width of a list Setter for listWidth

  Parameters:
    `listWidth` - - new value

### getListWidth

    public java.lang.String getListWidth()

  Defines width of a list Getter for listWidth

  Returns:
    listWidth value from local variable or value bindings

### setOnbottomclick

    public void setOnbottomclick(java.lang.String __onbottomclick)

  A JavaScript event handler; a button "Bottom" is clicked Setter for onbottomclick

  Parameters:
    `onbottomclick` - - new value

### getOnbottomclick

    public java.lang.String getOnbottomclick()

  A JavaScript event handler; a button "Bottom" is clicked Getter for onbottomclick

  Returns:
    onbottomclick value from local variable or value bindings

### setOnclick

    public void setOnclick(java.lang.String __onclick)

  HTML: a script expression; a pointer button is clicked Setter for onclick

  Parameters:
    `onclick` - - new value

### getOnclick

    public java.lang.String getOnclick()

  HTML: a script expression; a pointer button is clicked Getter for onclick

  Returns:
    onclick value from local variable or value bindings

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for ondblclick

  Parameters:
    `ondblclick` - - new value

### getOndblclick

    public java.lang.String getOndblclick()

  HTML: a script expression; a pointer button is double-clicked Getter for ondblclick

  Returns:
    ondblclick value from local variable or value bindings

### setOndownclick

    public void setOndownclick(java.lang.String __ondownclick)

  A JavaScript event handler; a button "Down" is clicked Setter for ondownclick

  Parameters:
    `ondownclick` - - new value

### getOndownclick

    public java.lang.String getOndownclick()

  A JavaScript event handler; a button "Down" is clicked Getter for ondownclick

  Returns:
    ondownclick value from local variable or value bindings

### setOnheaderclick

    public void setOnheaderclick(java.lang.String __onheaderclick)

  A JavaScript event handler; a header is clicked Setter for onheaderclick

  Parameters:
    `onheaderclick` - - new value

### getOnheaderclick

    public java.lang.String getOnheaderclick()

  A JavaScript event handler; a header is clicked Getter for onheaderclick

  Returns:
    onheaderclick value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  HTML: a script expression; a pointer is moved within Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  HTML: a script expression; a pointer is moved within Getter for onmousemove

  Returns:
    onmousemove value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  HTML: a script expression; a pointer is moved away Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  HTML: a script expression; a pointer is moved away Getter for onmouseout

  Returns:
    onmouseout value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  HTML: a script expression; a pointer is moved onto Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  HTML: a script expression; a pointer is moved onto Getter for onmouseover

  Returns:
    onmouseover value from local variable or value bindings

### setOnorderchanged

    public void setOnorderchanged(java.lang.String __onorderchanged)

  A JavaScript event handler called on an order operation Setter for onorderchanged

  Parameters:
    `onorderchanged` - - new value

### getOnorderchanged

    public java.lang.String getOnorderchanged()

  A JavaScript event handler called on an order operation Getter for onorderchanged

  Returns:
    onorderchanged value from local variable or value bindings

### setOntopclick

    public void setOntopclick(java.lang.String __ontopclick)

  A JavaScript event handler; a button "Top" is clicked Setter for ontopclick

  Parameters:
    `ontopclick` - - new value

### getOntopclick

    public java.lang.String getOntopclick()

  A JavaScript event handler; a button "Top" is clicked Getter for ontopclick

  Returns:
    ontopclick value from local variable or value bindings

### setOnupclick

    public void setOnupclick(java.lang.String __onupclick)

  HTML: a script expression; a button "Up" is clicked Setter for onupclick

  Parameters:
    `onupclick` - - new value

### getOnupclick

    public java.lang.String getOnupclick()

  HTML: a script expression; a button "Up" is clicked Getter for onupclick

  Returns:
    onupclick value from local variable or value bindings

### setOrderControlsVisible

    public void setOrderControlsVisible(boolean __orderControlsVisible)

  If "false", 'Up' and 'Down' controls aren't displayed. Setter for orderControlsVisible

  Specified by:
    `setOrderControlsVisible` in class `UIOrderingBaseComponent`
  Parameters:
    `orderControlsVisible` - - new value

### isOrderControlsVisible

    public boolean isOrderControlsVisible()

  If "false", 'Up' and 'Down' controls aren't displayed. Getter for orderControlsVisible

  Specified by:
    `isOrderControlsVisible` in class `UIOrderingBaseComponent`
  Returns:
    orderControlsVisible value from local variable or value bindings

### setRequired

    public void setRequired(boolean __required)

  If "true", this component is checked for non-empty input Setter for required

  Specified by:
    `setRequired` in interface `javax.faces.component.EditableValueHolder`
  Specified by:
    `setRequired` in class `UIOrderingList`
  Parameters:
    `required` - - new value

### isRequired

    public boolean isRequired()

  If "true", this component is checked for non-empty input Getter for required

  Specified by:
    `isRequired` in interface `javax.faces.component.EditableValueHolder`
  Specified by:
    `isRequired` in class `UIOrderingList`
  Returns:
    required value from local variable or value bindings

### setRowClasses

    public void setRowClasses(java.lang.String __rowClasses)

  CSS class for a row Setter for rowClasses

  Parameters:
    `rowClasses` - - new value

### getRowClasses

    public java.lang.String getRowClasses()

  CSS class for a row Getter for rowClasses

  Returns:
    rowClasses value from local variable or value bindings

### setShowButtonLabels

    public void setShowButtonLabels(boolean __showButtonLabels)

  If "true", shows a label for a button Setter for showButtonLabels

  Parameters:
    `showButtonLabels` - - new value

### isShowButtonLabels

    public boolean isShowButtonLabels()

  If "true", shows a label for a button Getter for showButtonLabels

  Returns:
    showButtonLabels value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setTopControlLabel

    public void setTopControlLabel(java.lang.String __topControlLabel)

  Defines a label for a 'Top' control Setter for topControlLabel

  Parameters:
    `topControlLabel` - - new value

### getTopControlLabel

    public java.lang.String getTopControlLabel()

  Defines a label for a 'Top' control Getter for topControlLabel

  Returns:
    topControlLabel value from local variable or value bindings

### setUpControlLabel

    public void setUpControlLabel(java.lang.String __upControlLabel)

  Defines a label for a 'Up' control Setter for upControlLabel

  Parameters:
    `upControlLabel` - - new value

### getUpControlLabel

    public java.lang.String getUpControlLabel()

  Defines a label for a 'Up' control Getter for upControlLabel

  Returns:
    upControlLabel value from local variable or value bindings

### setValid

    public void setValid(boolean __valid)

  valid Setter for valid

  Specified by:
    `setValid` in interface `javax.faces.component.EditableValueHolder`
  Specified by:
    `setValid` in class `UIOrderingList`
  Parameters:
    `valid` - - new value

### isValid

    public boolean isValid()

  valid Getter for valid

  Specified by:
    `isValid` in interface `javax.faces.component.EditableValueHolder`
  Specified by:
    `isValid` in class `UIOrderingList`
  Returns:
    valid value from local variable or value bindings

### setValueChangeListener

    public void setValueChangeListener(javax.faces.el.MethodBinding __valueChangeListener)

  Listener for value changes Setter for valueChangeListener

  Specified by:
    `setValueChangeListener` in interface `javax.faces.component.EditableValueHolder`
  Specified by:
    `setValueChangeListener` in class `UIOrderingList`
  Parameters:
    `valueChangeListener` - - new value

### getValueChangeListener

    public javax.faces.el.MethodBinding getValueChangeListener()

  Listener for value changes Getter for valueChangeListener

  Specified by:
    `getValueChangeListener` in interface `javax.faces.component.EditableValueHolder`
  Specified by:
    `getValueChangeListener` in class `UIOrderingList`
  Returns:
    valueChangeListener value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIData`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `UIOrderingList`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `UIOrderingList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.